Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEElGamalPublicKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEElGamalPublicKey

All Implemented Interfaces:
  DHKey, DHPublicKey, ElGamalKey, ElGamalPublicKey, java.security.Key, java.security.PublicKey, java.io.Serializable

public class JCEElGamalPublicKey
extends java.lang.Object
implements ElGamalPublicKey, DHPublicKey

See Also:
  Serialized Form

Fields inherited from interface java.security.PublicKey
`serialVersionUID`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`ElGamalParameterSpec` | `getParameters()`
`DHParameterSpec` | `getParams()` Returns the key parameters.
`java.math.BigInteger` | `getY()` Returns the public value, `y`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getParameters

    public ElGamalParameterSpec getParameters()

  Specified by:
    `getParameters` in interface `ElGamalKey`

### getParams

    public DHParameterSpec getParams()

  Description copied from interface: `DHKey`
  Returns the key parameters.
  Specified by:
    `getParams` in interface `DHKey`
  Following copied from interface: `javax.crypto.interfaces.DHKey`
  Returns:
    the key parameters

### getY

    public java.math.BigInteger getY()

  Description copied from interface: `DHPublicKey`
  Returns the public value, `y`.
  Specified by:
    `getY` in interface `ElGamalPublicKey`
  Following copied from interface: `javax.crypto.interfaces.DHPublicKey`
  Returns:
    the public value, `y`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD